## ironic-inspector 3.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.8.0 # MIT
Babel>=1.3 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
Flask<1.0,>=0.10 # BSD
futurist>=0.11.0 # Apache-2.0
jsonpath-rw<2.0,>=1.2.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
pbr>=1.6 # Apache-2.0
python-ironicclient>=1.1.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT

=== debian/changelog ===
ironic-inspector (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 15:14:58 +0000

ironic-inspector (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 13:44:01 +0100

ironic-inspector (3.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 13:47:12 +0100

ironic-inspector (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jan 2016 10:36:30 +0000

ironic-inspector (2.2.1-2) unstable; urgency=medium

  * Also rm /var/log/ironic-inspector on purge.

 -- Thomas Goirand <zigo@debian.org>  Sat, 31 Oct 2015 11:34:16 +0100

ironic-inspector (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Also package a sudoers file, as ironic-inspector now uses rootwrap.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 20:28:42 +0000

ironic-inspector (2.1.0-1) experimental; urgency=medium

  * Follow upstream and rename the package as ironic-inspector.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 18:24:07 +0200

ironic-discoverd (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #797056)

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Aug 2015 14:31:11 +0200

=== debian/control ===
Source: ironic-inspector
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     python-babel,
                     python-coverage,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 1.3.1),
                     python-flask,
                     python-futurist (>= 0.11.0),
                     python-hacking (>= 0.10.0),
                     python-ironicclient (>= 1.1.0),
                     python-jsonpath-rw (>= 1.2.0),
                     python-jsonschema,
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-mock (>= 1.3),
                     python-netaddr (>= 0.7.12),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-testresources,
                     python-testscenarios,
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/openstack/ironic-inspector.git
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/ironic-inspector.git/
Homepage: https://github.com/openstack/ironic-inspector

Package: python-ironic-inspector
Architecture: all
Depends: alembic (>= 0.8.0),
         python-babel,
         python-eventlet (>= 0.18.4),
         python-flask,
         python-futurist (>= 0.11.0),
         python-ironicclient (>= 1.1.0),
         python-jsonpath-rw (>= 1.2.0),
         python-jsonschema,
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 4.0.0),
         python-netaddr (>= 0.7.12),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-swiftclient (>= 1:2.2.0),
         ${misc:Depends},
         ${python:Depends},
Description: discovering hardware properties for OpenStack Ironic - Python 2.7
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 2.7 files.

Package: ironic-inspector
Architecture: all
Depends: adduser,
         python-ironic-inspector (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: discovering hardware properties for OpenStack Ironic - Daemon
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the daemon.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

UPSTREAM_GIT = git://github.com/openstack/ironic-inspector.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python-coverage run --branch --include "ironic_inspector*" -m unittest discover ironic_inspector.test || true
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build debian/ironic-inspector.postinst
	rm -rf debian/*.upstart debian/*.service debian/*.init

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-inspector.postinst

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-ironic-inspector; \
	done
	cp -auxf ironic_inspector/alembic.ini ironic_inspector/migrations $(CURDIR)/debian/python-ironic-inspector/usr/lib/python2.7/dist-packages/ironic_inspector/
	install -D -m 0640 example.conf $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf
	sed -i 's|^[ \t#]*connection[ \t]=.*|connection = sqlite:////var/lib/ironic-inspector/inspectordb|' $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf
	install -D -m 0644 rootwrap.conf $(CURDIR)/debian/ironic-inspector/etc/ironic-inspector/rootwrap.conf
	install -D -m 0644 rootwrap.d/ironic-inspector-firewall.filters $(CURDIR)/debian/ironic-inspector/etc/ironic-inspector/rootwrap.d/ironic-inspector-firewall.filters
	install -D -m 0644 $(CURDIR)/debian/ironic-inspector.sudoers $(CURDIR)/debian/ironic-inspector/etc/sudoers.d/ironic-inspector
	sed -i 's|stack|ironic-inspector|' $(CURDIR)/debian/ironic-inspector/etc/sudoers.d/ironic-inspector

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/ironic-inspector/tags .*/(\d[\d\.]+)\.tar\.gz

## ironic-inspector 4.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.8.4 # MIT
Babel>=2.3.4 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
Flask!=0.11,<1.0,>=0.10 # BSD
futurist!=0.15.0,>=0.11.0 # Apache-2.0
jsonpath-rw<2.0,>=1.2.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=2.10.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
pbr>=1.6 # Apache-2.0
python-ironicclient>=1.6.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.16.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT

=== debian/changelog ===
ironic-inspector (4.1.0-2+43~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 19:41:21 +0000

ironic-inspector (4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Fix path file patched in fix-path-to-rootwrap.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2016 20:01:51 +0200

=== debian/control ===
--- 
+++ 
@@ -10,67 +10,67 @@
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: alembic (>= 0.8.0),
-                     python-babel,
+Build-Depends-Indep: alembic (>= 0.8.4),
+                     python-babel (>= 2.3.4),
                      python-coverage,
                      python-eventlet (>= 0.18.4),
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-flask,
                      python-futurist (>= 0.11.0),
                      python-hacking (>= 0.10.0),
-                     python-ironicclient (>= 1.1.0),
+                     python-ironicclient (>= 1.6.0),
                      python-jsonpath-rw (>= 1.2.0),
                      python-jsonschema,
-                     python-keystoneclient (>= 1:1.6.0),
+                     python-keystoneauth1 (>= 2.10.0),
                      python-keystonemiddleware (>= 4.0.0),
-                     python-mock (>= 1.3),
+                     python-mock (>= 2.0),
                      python-netaddr (>= 0.7.12),
-                     python-oslo.concurrency (>= 3.5.0),
-                     python-oslo.config (>= 1:3.7.0),
+                     python-oslo.concurrency (>= 3.8.0),
+                     python-oslo.config (>= 1:3.14.0),
                      python-oslo.db (>= 4.1.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.middleware (>= 3.0.0),
-                     python-oslo.rootwrap (>= 2.0.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.rootwrap (>= 5.0.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.5.0),
+                     python-stevedore (>= 1.16.0),
                      python-swiftclient (>= 1:2.2.0),
                      python-testresources,
                      python-testscenarios,
 Standards-Version: 3.9.7
-Vcs-Git: https://anonscm.debian.org/git/openstack/ironic-inspector.git
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/ironic-inspector.git/
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-ironic-inspector?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-ironic-inspector -b debian/newton
 Homepage: https://github.com/openstack/ironic-inspector
 
 Package: python-ironic-inspector
 Architecture: all
-Depends: alembic (>= 0.8.0),
-         python-babel,
+Depends: alembic (>= 0.8.4),
+         python-babel (>= 2.3.4),
          python-eventlet (>= 0.18.4),
          python-flask,
          python-futurist (>= 0.11.0),
-         python-ironicclient (>= 1.1.0),
+         python-ironicclient (>= 1.6.0),
          python-jsonpath-rw (>= 1.2.0),
          python-jsonschema,
-         python-keystoneclient (>= 1:1.6.0),
+         python-keystoneauth1 (>= 2.10.0),
          python-keystonemiddleware (>= 4.0.0),
          python-netaddr (>= 0.7.12),
-         python-oslo.concurrency (>= 3.5.0),
-         python-oslo.config (>= 1:3.7.0),
+         python-oslo.concurrency (>= 3.8.0),
+         python-oslo.config (>= 1:3.14.0),
          python-oslo.db (>= 4.1.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.middleware (>= 3.0.0),
-         python-oslo.rootwrap (>= 2.0.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.rootwrap (>= 5.0.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.16.0),
          python-swiftclient (>= 1:2.2.0),
          ${misc:Depends},
          ${python:Depends},

## ironic-inspector 4.2.0

=== requirements.txt ===
--- 
+++ 
@@ -10,13 +10,13 @@
 jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
 keystoneauth1>=2.10.0 # Apache-2.0
 keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
-netaddr!=0.7.16,>=0.7.12 # BSD
+netaddr!=0.7.16,>=0.7.13 # BSD
 pbr>=1.6 # Apache-2.0
 python-ironicclient>=1.6.0 # Apache-2.0
 python-swiftclient>=2.2.0 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0
 oslo.config>=3.14.0 # Apache-2.0
-oslo.db>=4.1.0 # Apache-2.0
+oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
 oslo.middleware>=3.0.0 # Apache-2.0

=== debian/changelog ===
ironic-inspector (4.2.0-2) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * Added lsb-base to depends
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 11:34:27 +0100

ironic-inspector (4.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:51:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -24,17 +24,17 @@
                      python-keystoneauth1 (>= 2.10.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-mock (>= 2.0),
-                     python-netaddr (>= 0.7.12),
+                     python-netaddr (>= 0.7.13),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
-                     python-oslo.db (>= 4.1.0),
+                     python-oslo.db (>= 4.10.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.rootwrap (>= 5.0.0),
                      python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.16.0),
@@ -58,10 +58,10 @@
          python-jsonschema,
          python-keystoneauth1 (>= 2.10.0),
          python-keystonemiddleware (>= 4.0.0),
-         python-netaddr (>= 0.7.12),
+         python-netaddr (>= 0.7.13),
          python-oslo.concurrency (>= 3.8.0),
          python-oslo.config (>= 1:3.14.0),
-         python-oslo.db (>= 4.1.0),
+         python-oslo.db (>= 4.10.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.middleware (>= 3.0.0),
@@ -91,6 +91,7 @@
 Architecture: all
 Depends: adduser,
          python-ironic-inspector (= ${binary:Version}),
+         ${ostack-lsb-base},
          ${misc:Depends},
          ${python:Depends},
 Description: discovering hardware properties for OpenStack Ironic - Daemon

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PYTHONS:=$(shell pyversions -vr)
 
-UPSTREAM_GIT = git://github.com/openstack/ironic-inspector.git
+UPSTREAM_GIT = https://github.com/openstack/ironic-inspector.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(VERSION)

## ironic-inspector 4.2.1

=== debian/changelog ===
ironic-inspector (4.2.1-0ubuntu0.16.10.1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ David Della Vecchia ]
  * New upstream point release (LP: #1645772).
  * d/p/*: Rebased.
  * d/gbp.conf: Create stable/newton branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Dec 2016 12:34:12 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ironic-inspector
 Section: python
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -42,8 +43,8 @@
                      python-testresources,
                      python-testscenarios,
 Standards-Version: 3.9.7
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-ironic-inspector?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-ironic-inspector -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic-inspector
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic-inspector
 Homepage: https://github.com/openstack/ironic-inspector
 
 Package: python-ironic-inspector
@@ -91,7 +92,6 @@
 Architecture: all
 Depends: adduser,
          python-ironic-inspector (= ${binary:Version}),
-         ${ostack-lsb-base},
          ${misc:Depends},
          ${python:Depends},
 Description: discovering hardware properties for OpenStack Ironic - Daemon

## ironic-inspector 5.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
automaton>=0.5.0 # Apache-2.0
alembic>=0.8.10 # MIT
Babel>=2.3.4 # BSD
construct>=2.8.10 # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
Flask!=0.11,<1.0,>=0.10 # BSD
futurist!=0.15.0,>=0.11.0 # Apache-2.0
ironic-lib>=2.5.0 # Apache-2.0
jsonpath-rw<2.0,>=1.2.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=2.18.0 # Apache-2.0
keystonemiddleware>=4.12.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
pbr>=1.8 # Apache-2.0
python-ironicclient>=1.11.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2013.6 # MIT
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT

=== debian/changelog ===
ironic-inspector (5.0.0-0ubuntu1) zesty; urgency=medium

  * d/watch: Point to tarballs.openstack.org 
  * d/control: Add dep8 tests.
  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 14 Feb 2017 09:05:20 -0500

ironic-inspector (4.2.1-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ David Della Vecchia ]
  * New upstream point release (LP: #1645772).
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Dec 2016 12:34:12 -0500

=== debian/control ===
--- 
+++ 
@@ -46,6 +46,7 @@
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic-inspector
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic-inspector
 Homepage: https://github.com/openstack/ironic-inspector
+Testsuite: autopkgtest-pkg-python
 
 Package: python-ironic-inspector
 Architecture: all

## ironic-inspector 6.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
automaton>=0.5.0 # Apache-2.0
alembic>=0.8.10 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
construct>=2.8.10 # MIT
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
Flask!=0.11,<1.0,>=0.10 # BSD
futurist!=0.15.0,>=0.11.0 # Apache-2.0
ironic-lib>=2.5.0 # Apache-2.0
jsonpath-rw<2.0,>=1.2.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=3.1.0 # Apache-2.0
keystonemiddleware>=4.12.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-ironicclient>=1.14.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2013.6 # MIT
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.middleware>=3.27.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.20.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT

=== debian/changelog ===
ironic-inspector (6.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Aug 2017 09:12:47 -0400

ironic-inspector (5.1.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 15 Jun 2017 11:57:13 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
 Build-Depends-Indep: alembic (>= 0.8.4),
+                     python-automaton (>= 0.5.0),
                      python-babel (>= 2.3.4),
                      python-coverage,
                      python-eventlet (>= 0.18.4),
@@ -19,26 +20,28 @@
                      python-flask,
                      python-futurist (>= 0.11.0),
                      python-hacking (>= 0.10.0),
-                     python-ironicclient (>= 1.6.0),
+                     python-ironicclient (>= 1.14.0),
                      python-jsonpath-rw (>= 1.2.0),
                      python-jsonschema,
-                     python-keystoneauth1 (>= 2.10.0),
+                     python-keystoneauth1 (>= 3.1.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-mock (>= 2.0),
                      python-netaddr (>= 0.7.13),
+                     python-openstackdocstheme (>= 1.16.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.db (>= 4.10.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.db (>= 4.24.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 1.14.0),
-                     python-oslo.middleware (>= 3.0.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.middleware (>= 3.27.0),
                      python-oslo.rootwrap (>= 5.0.0),
-                     python-oslo.utils (>= 3.16.0),
+                     python-oslo.serialization (>= 1.10.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.16.0),
+                     python-stevedore (>= 1.20.0),
                      python-swiftclient (>= 1:2.2.0),
                      python-testresources,
                      python-testscenarios,
@@ -51,28 +54,30 @@
 Package: python-ironic-inspector
 Architecture: all
 Depends: alembic (>= 0.8.4),
+         python-automaton (>= 0.5.0),
          python-babel (>= 2.3.4),
          python-eventlet (>= 0.18.4),
          python-flask,
          python-futurist (>= 0.11.0),
-         python-ironicclient (>= 1.6.0),
+         python-ironicclient (>= 1.14.0),
          python-jsonpath-rw (>= 1.2.0),
          python-jsonschema,
-         python-keystoneauth1 (>= 2.10.0),
+         python-keystoneauth1 (>= 3.1.0),
          python-keystonemiddleware (>= 4.0.0),
          python-netaddr (>= 0.7.13),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.14.0),
-         python-oslo.db (>= 4.10.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.db (>= 4.24.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 1.14.0),
-         python-oslo.middleware (>= 3.0.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.middleware (>= 3.27.0),
          python-oslo.rootwrap (>= 5.0.0),
-         python-oslo.utils (>= 3.16.0),
-         python-pbr (>= 1.8),
+         python-oslo.serialization (>= 1.10.0),
+         python-oslo.utils (>= 3.20.0),
+         python-pbr (>= 2.0.0),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.16.0),
+         python-stevedore (>= 1.20.0),
          python-swiftclient (>= 1:2.2.0),
          ${misc:Depends},
          ${python:Depends},

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. python-coverage run --branch --include "ironic_inspector*" -m unittest discover ironic_inspector.test || true
+	PYTHONPATH=. python-coverage run --branch --include "ironic_inspector*" -m unittest discover ironic_inspector.test.unit || true
 endif
 
 override_dh_clean:

## ironic-inspector 7.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
automaton>=1.9.0 # Apache-2.0
alembic>=0.8.10 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
construct>=2.8.10 # MIT
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
Flask!=0.11,<1.0,>=0.10 # BSD
futurist>=1.2.0 # Apache-2.0
ironic-lib>=2.5.0 # Apache-2.0
jsonpath-rw<2.0,>=1.2.0 # Apache-2.0
jsonschema<3.0.0,>=2.6.0 # MIT
keystoneauth1>=3.3.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
netaddr>=0.7.18 # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-ironicclient>=2.2.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2013.6 # MIT
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT

=== debian/changelog ===
ironic-inspector (7.2.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Generate example.conf.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Feb 2018 12:51:41 -0500

ironic-inspector (7.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/watch: Scope to Queens series.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 09:46:29 -0500

ironic-inspector (6.1.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/p/fix-path-to-rootwrap.patch: Dropped. No longer needed.
  * d/control: Add missing (Build-)Depends.
  * d/control, d/rules: Switch to ostestr to run unit tests.
  * d/control: python-construct 2.8.10 is required.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Nov 2017 12:16:49 -0500

=== debian/control ===
Source: ironic-inspector
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python-alembic (>= 0.8.10),
 python-automaton (>= 1.9.0),
 python-babel (>= 2.3.4),
 python-construct (>= 2.8.10),
 python-coverage (>= 4.0),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-flask (>= 0.10),
 python-futurist (>= 1.2.0),
 python-hacking (>= 0.12.0),
 python-ironic-lib (>= 2.5.0),
 python-ironicclient (>= 2.2.0),
 python-jsonpath-rw (>= 1.2.0),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystonemiddleware (>= 4.17.0),
 python-mock (>= 2.0.0),
 python-netaddr (>= 0.7.18),
 python-openstackdocstheme (>= 1.18.1),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 2.5.0),
 python-oslotest (>= 1:3.2.0),
 python-retrying (>= 1.2.3),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-tz (>= 2013.6),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic-inspector
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic-inspector
Homepage: https://github.com/openstack/ironic-inspector
Testsuite: autopkgtest-pkg-python

Package: ironic-inspector
Architecture: all
Depends:
 adduser,
 python-ironic-inspector (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: discovering hardware properties for OpenStack Ironic - Daemon
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the daemon.

Package: python-ironic-inspector
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python-alembic (>= 0.8.10),
 python-automaton (>= 1.9.0),
 python-babel (>= 2.3.4),
 python-construct (>= 2.8.10),
 python-eventlet (>= 0.18.2),
 python-flask (>= 0.10),
 python-futurist (>= 1.2.0),
 python-ironic-lib (>= 2.5.0),
 python-ironicclient (>= 2.2.0),
 python-jsonpath-rw (>= 1.2.0),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystonemiddleware (>= 4.17.0),
 python-netaddr (>= 0.7.18),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-retrying (>= 1.2.3),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-tz (>= 2013.6),
 ${misc:Depends},
 ${python:Depends},
Description: discovering hardware properties for OpenStack Ironic - Python 2.7
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 2.7 files.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. python-coverage run --branch --include "ironic_inspector*" -m unittest discover ironic_inspector.test.unit || true
+	ostestr
 endif
 
 override_dh_clean:
@@ -29,6 +29,7 @@
 			--root $(CURDIR)/debian/python-ironic-inspector; \
 	done
 	cp -auxf ironic_inspector/alembic.ini ironic_inspector/migrations $(CURDIR)/debian/python-ironic-inspector/usr/lib/python2.7/dist-packages/ironic_inspector/
+	oslo-config-generator --config-file config-generator.conf
 	install -D -m 0640 example.conf $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf
 	sed -i 's|^[ \t#]*connection[ \t]=.*|connection = sqlite:////var/lib/ironic-inspector/inspectordb|' $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf
 	install -D -m 0644 rootwrap.conf $(CURDIR)/debian/ironic-inspector/etc/ironic-inspector/rootwrap.conf

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/ironic-inspector/ ironic-inspector-(7\.\d.*)\.tar\.gz
